{ self, ... }:
{
  perSystem =
    { pkgs, ... }:
    {
      checks =
        let
          checkArgs = {
            inherit pkgs self;
          };
        in
        {
          think-gtcm = import ./tests/think-gtcm.nix checkArgs;
        };
    };
}
